## libgnatcoll-python 19

=== debian/changelog ===
libgnatcoll-python (19-3) unstable; urgency=medium

  * Move python library to its own Debian source package so that #936869
    does not prevent unrelated components to migrate to testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Mar 2020 21:05:50 +0200

libgnatcoll-bindings (19-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0
  * Use debhelper 12 dh-sequence syntax.
  * Drop redundant branch from Vcs-Git.
  * Give each library a separate test.
  * Drop python3 patch (applied upstream, not in Debian).

  [Matthias Klose <doko@debian.org>]
  * Depend on versioned python2. Closes: #952549.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 16:48:57 +0100

libgnatcoll-bindings (19-1) experimental; urgency=medium

  * New upstream release, built with gnat-9.
    Rename library and -dev package accordingly.
    New bindings for lzma and zlib C libraries.
  * Forward all possible patches, but remove style changes from Debian.
  * Move VCS to git and salsa.debian.org.
  * Debhelper 12. Standards-Version: 4.4.0. Rules-Requires-Root: no.
  * Ask for more linker warnings.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Sep 2019 13:41:04 +0200

libgnatcoll-bindings (18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload to fix stderr output in autopkg tests.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2019 09:08:17 +0200

libgnatcoll-bindings (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:58 +0200

libgnatcoll-bindings (18-1) experimental; urgency=medium

  * New upstream version, splitting the libgnatcoll source package.
    This component needs no repackaging.
  * No ALI/SO package renaming in experimental, but two new binary packages:
    libgnatcoll-syslogSO and libgnatcoll-syslogALI-dev.
  * Let example project build out of the source tree.
  * Trick separate library versions without patch.
  * Force .so extension so that projects build with packaged gnatcoll.gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 15:33:44 +0200

libgnatcoll (17.0.2017-5) experimental; urgency=medium

  * Rebuild with gnat-8, libgpr1-dev, libgtkada18-dev..
    Rename shared libraries and -dev packages per Debian Ada policy.
  * Remove watch file. Explain why in README.source.
  * Install documentation to libgnatcoll-doc.
    Doc is shared for all -dev packages, so the effort is wasted.
  * Remove override for lintian pedantic messages.
  * Update upstream home page.
  * Use forgotten sphinxdoc:Built-Using substitution variable.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 08:13:15 +0200

libgnatcoll (17.0.2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Break+Replace: previous gtkada-dev package per Ada policy. Closes: #896570.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 17:17:56 +0200

libgnatcoll (17.0.2017-4~pre1) experimental; urgency=medium

  * Rebuild with libgtkada-dev updating gtk-gir, fixing gnat-gps.
    Ada policy requires a renaming of the libgnatcoll-gtk-dev package,
    but the fix does not affect the gnatcoll ABI and SO version.
  * Debhelper 11 and Standards-Version: 4.1.3.
    Move docs from /u/s/doc/*-doc to /u/s/doc/*-dev.
  * Build-Depends: drop obsolete version restriction on dpkg-dev.
  * python_single_statement_set_default_console.diff: fix serious typo.
  * Build-Depend: drop dpkg-dev obsolete version restriction.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 03 Mar 2018 14:28:59 +0100

libgnatcoll (17.0.2017-3) unstable; urgency=medium

  * Make testsuite more verbose. Closes: #872081.
  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872204.
  * Build-Depend: python3 version of sphinx-doc. Patch conf.py.
  * Standards-Version: 4.1.0.
  * Rebuild with libgpr 2017-5 (because of libxmlada-unicode).
    -dev version is already new in testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 16:54:43 +0200

libgnatcoll (17.0.2017-2) unstable; urgency=medium

  * Upload to unstable.
  * The switch to gcc-7 requires a SO version bump for each library,
    except gnatcoll, g-python, g-xref, already new in unstable.
    The Break/Replace with previous -dev becomes implicit in unstable.
  * Disable parallel doc generation to prevent #869098.
  * Standards-Version: 4.0.1. Priority: optional.
  * Vcs-Mtn: new URI format.
  * clean objects forgotten by aclocal.m4.
  * Build-Depends: renamed texlive-plain-generic.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 12:42:17 +0200

libgnatcoll (17.0.2017-1) experimental; urgency=medium

  * New upstream release, two new packages for the gnatcoll-xref library.
    No ALI/SO bump in experimental.
  * Build with gnat-7, which deals with SOURCE_DATE_EPOCH directly.
  * Debhelper 10, which deals with autoconf generated stuff.
  * Standards-Version: 4.0.0. Downgrade -doc to Suggests.
    HTTPS URL for copyright format. Handle DEB_BUILD_OPTIONS=nodoc.
  * Allow -doc package to satisfy multi-arch foreign dependencies.
  * PDFLatex now handles SOURCE_DATE_EPOCH without faketime.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Jul 2017 01:44:33 +0200

libgnatcoll (16.1.0-1) experimental; urgency=medium

  * New upstream release. Update to ligtkada16.1.0-dev.
    Replace libgnatprj/vsn, dropped by GCC with libgpr from gprbuild.
    Bump ALI versions and conflict/break previous -dev per Ada policy.
    Bump SO versions for gnatcoll and gnatcoll-python.
  * Remove many patches to upstream Makefile and invoke gprbuild directly.
    Upstream prefers a reduced set of well tested configurations.
  * remove generate-sources-timestamp.diff, but regenerate the sources after
    the build and fail if they differ with the ones from the tarball.

