## libgnatcoll-python 21.0.0

=== debian/changelog ===
libgnatcoll-python (21.0.0-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:07:35 +0100

libgnatcoll-python (21.0.0-1) experimental; urgency=medium

  * New upstream release.  No renaming in experimental,
    but new -dev and lib packages for the OpenMP binding.
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging, merge paragraphs with the same license.
  * Upstream recommends to watch github instead of the community website.
  * Set Section to libdevel instead of misc.
  * Embed new short specific docs instead of referencing libgnatcoll-doc.
  * Make package descriptions more informative.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Nov 2020 21:37:02 +0000

libgnatcoll-python (20.0-1) experimental; urgency=medium

  * New upstream version built with gnat-10.
  * Reduce the divergence between branches
  * Pass build flags via the environment
  * Debhelper 13
  * Remove obsolete Pre-Depends

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 May 2020 15:29:21 +0000
