=== debian/control ===
Source: libgnatcoll-python
Priority: optional
Section: libdevel
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library (>= 7.2),
 dh-sequence-ada-library,
 gnat,
# debian/rules extracts the gnat version from this line:
 gnat-10,
 gprbuild (>= 2021.0.0.0778b109-2),
 libgnatcoll19-dev (>= 21.0.0-2),
 pkg-config,
 python2-dev, libpython2-dev,
Homepage: https://github.com/AdaCore/gnatcoll-bindings
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings/-/tree/debian/python
Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git -b debian/python

######################################################################

Package: libgnatcoll-python19-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding to the Python2 language (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 adding Python as scripting language.

Package: libgnatcoll-python19
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding to the Python2 language (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for Python
 scripting.
