=== debian/tests/control ===
Tests: python
Depends: @, gprbuild
